org.eclipse.viatra.query.patternlanguage.emf.jvmmodel

## Class PatternMatchProcessorClassInferrer

- java.lang.Object
- - org.eclipse.viatra.query.patternlanguage.emf.jvmmodel.PatternMatchProcessorClassInferrer

-     public class PatternMatchProcessorClassInferrer
      extends java.lang.Object

  `IMatchProcessor` implementation inferrer.
  No Reference:

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatternMatchProcessorClassInferrer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.xtext.common.types.JvmDeclaredType` | `inferProcessorClass(Pattern pattern, boolean isPrelinkingPhase, java.lang.String processorPackageName, org.eclipse.xtext.common.types.JvmType matchClass, org.eclipse.xtext.xbase.jvmmodel.JvmTypeReferenceBuilder builder, org.eclipse.xtext.xbase.jvmmodel.JvmAnnotationReferenceBuilder annBuilder)` Infers the `IMatchProcessor` implementation class from a `Pattern`.
    `java.lang.Boolean` | `inferProcessorClassMethods(org.eclipse.xtext.common.types.JvmDeclaredType processorClass, Pattern pattern, org.eclipse.xtext.common.types.JvmType matchClassRef)` Infers methods for Processor class based on the input 'pattern'.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PatternMatchProcessorClassInferrer

          public PatternMatchProcessorClassInferrer()

  - ### Method Detail

    - #### inferProcessorClass

          public org.eclipse.xtext.common.types.JvmDeclaredType inferProcessorClass(Pattern pattern,
                                                                                    boolean isPrelinkingPhase,
                                                                                    java.lang.String processorPackageName,
                                                                                    org.eclipse.xtext.common.types.JvmType matchClass,
                                                                                    org.eclipse.xtext.xbase.jvmmodel.JvmTypeReferenceBuilder builder,
                                                                                    org.eclipse.xtext.xbase.jvmmodel.JvmAnnotationReferenceBuilder annBuilder)

      Infers the `IMatchProcessor` implementation class from a `Pattern`.

    - #### inferProcessorClassMethods

          public java.lang.Boolean inferProcessorClassMethods(org.eclipse.xtext.common.types.JvmDeclaredType processorClass,
                                                              Pattern pattern,
                                                              org.eclipse.xtext.common.types.JvmType matchClassRef)

      Infers methods for Processor class based on the input 'pattern'.